Bug 246984 - Initscript Review
Initscript Review
Product: Fedora
Classification: Fedora
Component: mimedefang (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
Reported: 2007-07-05 09:53 EDT by Harald Hoyer
Modified: 2008-05-26 13:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-26 13:22:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
LSB init.d patch, preliminary (1.16 KB, patch)
2008-04-02 18:07 EDT, James Ralston
no flags Details | Diff

  None (edit)
Description Harald Hoyer 2007-07-05 09:53:59 EDT
Please have a look at the wikipage 
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Robert Scheck 2007-07-26 15:02:44 EDT
Harald, do these problems realy apply to mimedefang? Finally the initscript is 
upstream one, not mine.
Comment 2 James Ralston 2007-08-01 14:45:50 EDT
It's been my experience that upstream (David Skoll) is pretty reasonable about
accepting patches, if you can provide a rationale for the patch.  I don't know
how familiar he is with the LSB in terms of initscripts, so the best way to
bring the mimedefang init script into LSB compliance is probably to do it
yourself and send him the patch.
Comment 3 Robert Scheck 2007-08-01 14:51:48 EDT
James, and how familiar are you regarding this? I would try to get the script 
LSB compatible but somebody has to review it first, before I blame myself at 
upstream, accepted? ;-)
Comment 4 Harald Hoyer 2007-08-02 05:01:22 EDT
well, just try to get the LSB Header in... these are just comment lines, which
should not hurt.
Comment 5 James Ralston 2007-08-02 14:12:07 EDT
Robert, if you want, I can throw together an LSB initscript patch for you, and
send it to upstream.  Let me know.
Comment 6 Robert Scheck 2008-02-09 19:24:17 EST
James, are you still interested in helping me? If yes, can you please try to 
figgure out such a patch? Thank you.
Comment 7 James Ralston 2008-04-02 18:07:01 EDT
Created attachment 300142 [details]
LSB init.d patch, preliminary

Sorry; I lost track of this bug.

At a minimum, here's a patch that adds the LSB header, and ensures that
mimedefang doesn't automatically run at start.
Comment 9 Bug Zapper 2008-05-13 23:02:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 10 Robert Scheck 2008-05-26 13:22:51 EDT
Response by upstream: "I've applied the patch; it will be in the next release."

Note You need to log in before you can comment on or make changes to this bug.